#' Ensemble (Sparse) Partial Least Squares Regressions
#'
#' An algorithmic framework for measuring feature importance,
#' outlier detection, model applicability evaluation, and
#' ensemble predictive modeling with (sparse)
#' partial least squares regressions.
#'
#' Browse the package vignette via \code{vignette("enpls")}.
#'
#' \tabular{ll}{ Package: \tab enpls\cr
#' Type: \tab Package\cr
#' License: \tab GPL-3\cr }
#'
#' @name enpls-package
#' @docType package
#'
#' @importFrom stats coef median predict quantile sd
#' @importFrom graphics abline dotchart plot text
#'
#' @import pls
#'
NULL
