% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot.enspls.R
\name{plot.cv.enspls}
\alias{plot.cv.enspls}
\title{Plot cv.enspls object}
\usage{
\method{plot}{cv.enspls}(x, xlim = NULL, ylim = NULL, alpha = 0.8,
  main = NULL, ...)
}
\arguments{
\item{x}{An object of class \code{cv.enspls}.}

\item{xlim}{x Vector of length 2 - x axis limits of the plot.}

\item{ylim}{y Vector of length 2 - y axis limits of the plot.}

\item{alpha}{An alpha transparency value for points, a real number in (0, 1].}

\item{main}{Plot title, not used currently.}

\item{...}{Additional graphical parameters, not used currently.}
}
\description{
Plot cv.enspls object
}
\examples{
# This example takes one minute to run
\dontrun{
data("logd1k")
x = logd1k$x
y = logd1k$y

set.seed(42)
cvfit = cv.enspls(x, y, reptimes = 10)
plot(cvfit)}
}
\seealso{
See \code{\link{cv.enspls}} for cross-validation of
ensemble sparse partial least squares regression models.
}
\author{
Nan Xiao <\url{https://nanx.me}>
}
